local t = LoadActor("ScreenWithMenuElements stage/stage" ) .. { 
   BeginCommand=cmd(playcommand,"Set", { 
      StageToShow = SCREENMAN:GetTopScreen():GetStageStats():GetStage(); 
      StageNumber = SCREENMAN:GetTopScreen():GetStageStats():GetStageIndex(); 
   } ); 
}; 
function LoadSongBackground() 
   return Def.Sprite { 
   OnCommand=cmd(LoadFromSongBackground,GAMESTATE:GetCurrentSong();scale_or_crop_background); 
   }; 
end 
return t;